Name:       yourls
Version:    1.6
Release:    1%{?dist}
Summary:    Your Own URL Shortener
Group:      Applications/Internet
# License scenario:
#  * yourls files: GPL+
#  * GeoIP files: LGPLv2+
#  * JQuery files: MIT or GPLv2
License:    GPL+ and LGPLv2+ and (MIT or GPLv2)
URL:        http://yourls.org
# The tarball was pulled from https://github.com/YOURLS/YOURLS/archive/%{version}.tar.gz
# however the url is redirected and the tarball name downloaded is not %{version}.tar.gz
# but YOURLS-%{version}.tar.gz instead
Source0:    YOURLS-%{version}.tar.gz
Source1:    yourls-httpd.conf
Patch0:     yourls.change-config-path.patch
Patch1:     yourls.add-fedora-readme.patch
Requires:   php >= 4.3.0, mysql >= 4.1.0, httpd, php-mysql
BuildArch:  noarch
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXX)


%description
YOURLS is a small set of PHP scripts that will allow you to run your own URL 
shortening service (a la TinyURL). You can make it private or public, 
you can pick custom keyword URLs, it comes with its own API.


%prep
%setup -q -n YOURLS-%{version}
%patch0
%patch1


%build


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}
install -m 0644 -D -p %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/yourls.conf
cp -ad ./* ${RPM_BUILD_ROOT}%{_datadir}/%{name}
mv ./user/config-sample.php ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/config.php

# Remove docs from datadir, to be put in defaultdocdir later
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/{README.fedora,README.md,CHANGELOG.md,CONTRIBUTING.md,LICENSE.md,readme.html,sample-*}

# Remove Flash files
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/js/ZeroClipboard.swf

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/yourls.conf
%doc README.md CHANGELOG.md CONTRIBUTING.md LICENSE.md
%doc readme.html sample-public-api.txt sample-public-front-page.txt
%doc sample-remote-api-call.txt sample-robots.txt
%doc README.fedora
%dir %{_sysconfdir}/%{name}/
%{_datadir}/%{name}/


%changelog
* Thu Aug 15 2013 Martin Krizek <mkrizek@redhat.com - 1.6-1
- Update to 1.6

* Fri Feb 15 2013 Martin Krizek <mkrizek@redhat.com> - 1.5.1-3
- Add README.fedora

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 07 2012 Martin Krizek <mkrizek@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 23 2011 Martin Krizek <mkrizek@redhat.com> - 1.5-4
- Fixed license
- Fixed DOC line endings in the doc files

* Mon Aug 15 2011 Martin Krizek <mkrizek@redhat.com> - 1.5-3
- Editing source is now done with patch instead of sed

* Wed Aug 03 2011 Martin Krizek <mkrizek@redhat.com> - 1.5-2
- Fixed wrong version of license
- Made calling sed in prep section more readable

* Wed Jul 27 2011 Martin Krizek <mkrizek@redhat.com> - 1.5-1
- Initial packaging
